Bug 1035803 - Review Request: jetty-schemas - XML Schemas for Jetty
Summary: Review Request: jetty-schemas - XML Schemas for Jetty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1030874
TreeView+ depends on / blocked
 
Reported: 2013-11-28 14:14 UTC by Michael Simacek
Modified: 2013-12-21 02:07 UTC (History)
2 users (show)

Fixed In Version: jetty-schemas-3.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-21 02:07:56 UTC
msrb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael Simacek 2013-11-28 14:14:08 UTC
Spec URL: http://msimacek.fedorapeople.org/jetty-schemas.spec
SRPM URL: http://msimacek.fedorapeople.org/jetty-schemas-3.1-1.fc19.src.rpm
Description: XML Schemas for Jetty.
Fedora Account System Username: msimacek

Comment 1 Michal Srb 2013-12-02 09:16:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 89 files have unknown license.
     Detailed output of licensecheck in /home/msrb/review/1035803-jetty-
     schemas/licensecheck.txt

license text for ASL 2.0 and EPL 1.0 is present in tarball:
jetty-distribution-remote-resources/src/main/resources/license-eplv10-aslv20.html

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jetty-schemas-3.1-1.fc21.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint jetty-schemas
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
jetty-schemas (rpmlib, GLIBC filtered):
    jpackage-utils

Provides
--------
jetty-schemas:
    jetty-schemas
    mvn(org.eclipse.jetty.toolchain:jetty-schemas)
    osgi(org.eclipse.jetty.schemas)


Source checksums
----------------
http://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/org.eclipse.jetty.toolchain-jetty-schemas-3.1.M0.tar.bz2 :
  CHECKSUM(SHA256) this package     : a6447b6c4ab18cdbedaf6e1e94439d1c61a4d64afa0d8983d5bb7d7ebda1b43f
  CHECKSUM(SHA256) upstream package : a6447b6c4ab18cdbedaf6e1e94439d1c61a4d64afa0d8983d5bb7d7ebda1b43f
https://glassfish.dev.java.net/public/CDDL+GPL_1_1.html :
  CHECKSUM(SHA256) this package     : a0fb0892df05ed78191d2bfa67c0a731b10f358f95e684ea596c533efe4f93f2
  CHECKSUM(SHA256) upstream package : a0fb0892df05ed78191d2bfa67c0a731b10f358f95e684ea596c533efe4f93f2


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 1035803

Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation

These are not really issues. Resulting JAR contains only .dtd/.xsd files, no .java files. Since these files don't contain any javadoc comments, the documentation cannot be created.

[!]: License field in the package spec file matches the actual license.

The licence tag in spec file should be "CDDL or GPLv2 with exceptions"

Comment 2 Michael Simacek 2013-12-02 09:43:05 UTC
Changed License to "CDDL or GPLv2 with exceptions"

http://msimacek.fedorapeople.org/jetty-schemas.spec
http://msimacek.fedorapeople.org/jetty-schemas-3.1-2.fc19.src.rpm

Comment 3 Michal Srb 2013-12-02 10:09:21 UTC
The packages looks good now.

Approved.

Comment 4 Michael Simacek 2013-12-02 10:17:20 UTC
New Package SCM Request
=======================
Package Name: jetty-schemas
Short Description: XML schemas for Jetty
Owners: msimacek
Branches: f20
InitialCC: java-sig msrb sochotni mizdebsk

Comment 5 Gwyn Ciesla 2013-12-02 13:18:30 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-12-05 13:40:57 UTC
jetty-schemas-3.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jetty-schemas-3.1-2.fc20

Comment 7 Fedora Update System 2013-12-05 21:27:41 UTC
jetty-schemas-3.1-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2013-12-21 02:07:56 UTC
jetty-schemas-3.1-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.